### Method

# EBook BookClientView get_id

since: 3.50

#### Declaration [src]

    gsize
    e_book_client_view_get_id (
      EBookClientView* self
    )

#### Description [src]

Returns an identifier of the `self`. It does not change for the whole life time of the `self`.

Note: This function can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Available since: 3.50

#### Return value

Type: `gsize`

An identifier of the view.